I have an error 1208, what should I do?

Usually the error 1208 happens when you try to update DOFUS using a fairly old version of the updater (before August 2014). In this situation, the old updater can (sometimes) encounter problems retrieving the most recent version of DOFUS, which causes error 1208.

But don’t panic! All you have to do is download and install the corrective patch to put everything back in order: Click here

If the problem persists after installing the patch, please contact our technical team.

Have more questions? Submit a request